Page MenuHomePhabricator

[Clang] Disable new PM for tests that use optimization level -O1, -O2 and -O3
ClosedPublic

Authored by phosek on Feb 18 2019, 11:11 PM.

Details

Diff Detail

Repository
rL LLVM

Event Timeline

phosek created this revision.Feb 18 2019, 11:11 PM

I can understand why tests that use -O1 or -O2 would produce different results with the new pass manager, but it looks like not all the tests are like that. Do you know why those tests are failing?

For the tests that do use -O, instead of marking them unsupported, could you use -fno-experimental-new-pass-manager or something like that?

chandlerc requested changes to this revision.Feb 19 2019, 5:46 PM

Based on the -dev discussion, update once the target machine differences are addressed by mimicing the way the legacy PM works, which will hopefully restrict this similarly to what Eli is suggesting as well...

This revision now requires changes to proceed.Feb 19 2019, 5:46 PM

I can understand why tests that use -O1 or -O2 would produce different results with the new pass manager, but it looks like not all the tests are like that. Do you know why those tests are failing?

For the tests that do use -O, instead of marking them unsupported, could you use -fno-experimental-new-pass-manager or something like that?

For at least some of them, maybe we should run it in both modes (using the explicit flag as suggested by Eli) and check both forms.

phosek updated this revision to Diff 187493.Feb 19 2019, 7:14 PM

I can understand why tests that use -O1 or -O2 would produce different results with the new pass manager, but it looks like not all the tests are like that. Do you know why those tests are failing?

I only looked at some of them and what I saw was just a different sequence of instructions, I can dig into it a bit more.

For the tests that do use -O, instead of marking them unsupported, could you use -fno-experimental-new-pass-manager or something like that?

Done

I thought the plan was to fix whatever issue was causing the -O0 tests to fail, then rebase on top of that?

phosek updated this revision to Diff 200784.May 22 2019, 10:26 AM
phosek retitled this revision from [Clang][NewPM] Disable tests that are broken under new PM to [Clang] Disable new PM for tests that use optimization level -O1, -O2 and -O3.
phosek edited the summary of this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Jun 4 2019, 8:14 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 4 2019, 8:14 PM